### Method

# Qmi ClientWds get_packet_service_status_finish

since: 1.0

#### Declaration [src]

    QmiMessageWdsGetPacketServiceStatusOutput*
    qmi_client_wds_get_packet_service_status_finish (
      QmiClientWds* self,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an async operation started with qmi_client_wds_get_packet_service_status().

Available since: 1.0

#### Parameters

`res`

  Type: `GAsyncResult`

  The `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to qmi_client_wds_get_packet_service_status().

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `QmiMessageWdsGetPacketServiceStatusOutput`

A `QmiMessageWdsGetPacketServiceStatusOutput`, or `NULL` if `error` is set. The returned value should be freed with qmi_message_wds_get_packet_service_status_output_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.